/*
 * wxCsound main application
 *
 * Copyright (c) 2003 by John D. Ramsdell. All rights reserved.
 *
 * This software is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _MAIN_H
#define _MAIN_H

class Main : public wxApp
{
public:
  bool OnInit();
  void post_halt(int);		// Signal worker thread halted (thread safe)
  void post_transcript_text(const wxString&);
				// Signal text available (thread safe)	
  void post_clear_plots();	// Signal init plot (thread safe)
  void post_plot_curve(Curve *); // Signal curve available (thread safe)
private:
  Table m_table;
};

DECLARE_APP(Main)

#endif
