/*
 * Transcript window
 *
 * Copyright (c) 2003 by John D. Ramsdell. All rights reserved.
 *
 * This software is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _TRANSCRIPT_H
#define _TRANSCRIPT_H

const wxString transcript_name_str(wxT("transcript"));

class Transcript: public wxPanel
{
public:
  Transcript(wxWindow *parent,
	     wxWindowID id = -1,
	     const wxPoint& pos = wxDefaultPosition,
	     const wxSize& size = wxDefaultSize,
	     long style = wxTAB_TRAVERSAL,
	     const wxString& name = transcript_name_str);
  void clear();
  void append_text(const wxString&);
private:
  bool m_maxed_out;
  wxTextCtrl *m_text;
  void on_text_maxlen(wxCommandEvent&);
  DECLARE_EVENT_TABLE()
};

#endif
