/*
 * Csound worker
 *
 * Copyright (c) 2003 by John D. Ramsdell. All rights reserved.
 *
 * This software is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _WORKER_H
#define _WORKER_H

class Worker_thread;

class Worker
{
public:
  static Worker *get_worker();	// There is only one worker
  int start_worker(const wxArrayString&); // Start the worker
  void kill_worker();		// Request an abort and wait
  void set_abort_pending();	// Request an abort (thread safe)
  int poll_events();		// Called by the worker thread periodically
private:
  static Worker *s_worker;
  Worker();
  Synthesizer m_synthesizer;
  Worker_thread *m_thread;
  bool is_abort_pending();
  bool m_abort_pending;
  wxCriticalSection m_abort_critical_section;
};

#endif
